Subject: Re: bug#44058: Crashing maybe due to NS internal borders (c4c5db3de70b55f8bc03c9fee35e29d60f41f16e)
From: Alan Third <[email-masked]>
To: Andrii Kolomoiets <[email-masked]>
Cc: [email-masked], Vincent Zhang <[email-masked]>, Dale Sedivec <[email-masked]>
Date: Thu, 22 Oct 2020 20:09:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 22, 2020 at 10:05:06AM +0300, Andrii Kolomoiets wrote:
> Dale Sedivec <[email-masked]> writes:
> 
> > Hi, I'm seeing something similar, and indeed I'm seeing it on master
> > (and also native-comp, but this message is about master).  We have
> > clear_garbaged_frames in common on our stack, at least.
> 
> You may be interested in the small patch by Alan from Bug#43973:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43973#11
> 
> Emacs was crashing for me also with the clear_garbaged_frames on the
> stack.  Since the patch was applied, Emacs does not crash.

Hmm, I got so caught up in the other bug that I forgot about that one.
I'll push the fix to master now.

Dale and Vincent, if this doesn't fix your crash please let us know to
reopen this bug report.
-- 
Alan Third